PUT /api/v202507/bill/batch/{batchId}

Moves the set of bills to the specified batch The bills being moved could be in an open, pending or closed batch The specified batch should be an open or pending batch All the bills being moved should be in the same batch Moving from a pending to an open will cause the bills to get un-voided Moving from an open/closed to a pending will cause the bills to get voided If bills were in a closed batch, and downstream processes had already run, those processes will not get reversed

MoveBatchV202507 Permissions: BillsAndBatches (Manage)

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type, including the request body.

Path Parameters

Name Description Type Required
batchId Batch to move to integer (int32) Required

Request Body

Array of:

Type: integer (int32)

Example Request Body application/json
[
  1
]

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

UpdateResult
Property Description Type
selected Required (defined) integer (int32)
updated Required (defined) integer (int32)
Example Response application/json
{  "selected": 1,  "updated": 1
}